Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] ("Bret A. Schuhmacher")

1 Nov 1996 08:05:22 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: James Dumser <[email-masked]>
Original-cc: David Jeffers <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 1 Nov 1996, James Dumser wrote:

> But you're not answering Bret's question. Sure the above script works,
> but try
> 	#!/bin/awk
> 	{ print $1 }
> This will work in Unix, but bash (execve() really) still passes this to
> bash instead of awk. So the question is how to get bash to execute a
> script file with an interpreter other than bash.

Thank you!  I thought I was being dense - no he *didn't* answer my 
question. :-).

I found out the MKS korn shell has an environment variable called 
HASHBANG that, when set to 1, will allow this to work.  I may have to 
use that. :-(

Bret

______________________________________________________________________________
Bret A. Schuhmacher                              Email: [email-masked]
Technical Director, WebNet Technologies          WWW:   http://www.wn.com
Voice/Fax: (214) 821-0848                        Pager: (214) 816-0283

              If you didn't get caught, did you really do it?
______________________________________________________________________________

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".